package readxls;
/*-**********************************************************************
 * File: ReadXlsException.java
 * 	(Extracted from
 *	   "$Id$")
 *
 * Abstracts:
 *  This Java source code implements "readxls" package.
 *  "readxls" package reads a excel file (extension ".xls" only),
 *  and create a hashtable contains header cell values or
 *  a list of detaile record cell values.
 *  If package find several invalid data cells. information about
 *  the invalid cells is outputed into a list.
 *  This package depends on JExcelAPI.
 *
 * Copyright (C) 2014 Maoyam Tokyo, Japan (mailto:maoyam@mail.goo.ne.jp)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 *-*********************************************************************/

/** Excel 読み込み例外.
 * <P>
 * Excel ファイルの読み込み処理を中断する必要がある場合に発生する例外。
 * </P>
 *
 * @author maoyam (maoyam@mail.goo.ne.jp)
 */
public class ReadXlsException extends Exception {

	/** リターンコード.
	 * <P>
	 * 読み込み処理が中断した際に、
	 * {@link ReadXls}
	 * のメソッドから返されるリターンコード。
	 * </P>
	 * @see ReturnCode
	 */
	private ReturnCode code = ReturnCode.NORMAL;

	/** 機能.
	 * @return
	 * {@link ReadXlsException#code}
	 * を返す。
	 * @see ReturnCode
	 */
	public final ReturnCode getCode() {
		return this.code;
	}

	/** コンストラクタ.
	 * @param code
	 * {@link ReadXls}
	 * のメソッドから返すリターンコード
	 * @see ReadXls
	 * @see ReturnCode
	 */
	public ReadXlsException(final ReturnCode code) {
		this.code = code;
	}

}
